Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class SoftSettingsHash.SettingsEntry

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.SoftReference<java.lang.String>
              org.archive.crawler.settings.SoftSettingsHash.SettingsEntry

Enclosing class:
  SoftSettingsHash

    static class SoftSettingsHash.SettingsEntry

extends java.lang.ref.SoftReference<java.lang.String>

The entries in this hash extend SoftReference, using the host string as the key.

Constructor Summary
`SoftSettingsHash.SettingsEntry(java.lang.String key, CrawlerSettings settings, java.lang.ref.ReferenceQueue<? super java.lang.String> queue, int hash, SoftSettingsHash.SettingsEntry next)` Create new entry.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getKey()`
`CrawlerSettings` | `getValue()`

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftSettingsHash.SettingsEntry

    SoftSettingsHash.SettingsEntry(java.lang.String key,
                                   CrawlerSettings settings,
                                   java.lang.ref.ReferenceQueue<? super java.lang.String> queue,
                                   int hash,
                                   SoftSettingsHash.SettingsEntry next)

  Create new entry.

Method Detail

### getKey

    public java.lang.String getKey()

### getValue

    public CrawlerSettings getValue()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.